aboutsummaryrefslogtreecommitdiffstats
path: root/win32/find-mingw32.sh
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@linux.intel.com>2010-07-21 12:33:13 -0700
committerH. Peter Anvin <hpa@linux.intel.com>2010-07-21 12:33:13 -0700
commit4ad669661e034f6069c3ce0d6b97a8f297cf33b3 (patch)
treec8d83c04f6b805cbb18c83fa1589f0ef0a45fec3 /win32/find-mingw32.sh
parenta6616dc0e872b3d12ab6e25c8d9d22a9977e8e28 (diff)
downloadsyslinux-4ad669661e034f6069c3ce0d6b97a8f297cf33b3.tar.gz
syslinux-4ad669661e034f6069c3ce0d6b97a8f297cf33b3.tar.xz
syslinux-4ad669661e034f6069c3ce0d6b97a8f297cf33b3.zip
win64: experimental Win64 installer (syslinux64.exe)syslinux-4.02
Experimental Win64 installer. This is necessary to be able to run on WinPE64, since WinPE64 doesn't support running 32-bit binaries. Signed-off-by: H. Peter Anvin <hpa@linux.intel.com>
Diffstat (limited to 'win32/find-mingw32.sh')
-rwxr-xr-xwin32/find-mingw32.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/win32/find-mingw32.sh b/win32/find-mingw32.sh
new file mode 100755
index 00000000..f79949c7
--- /dev/null
+++ b/win32/find-mingw32.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+cc="$1"
+
+for prefix in \
+ mingw- \
+ mingw32- \
+ i386-pc-mingw32- \
+ i486-pc-mingw32- \
+ i586-pc-mingw32- \
+ i686-pc-mingw32- \
+ i386-pc-mingw32msvc- \
+ i486-pc-mingw32msvc- \
+ i586-pc-mingw32msvc- \
+ i686-pc-mingw32msvc- \
+ i386-mingw32- \
+ i486-mingw32- \
+ i586-mingw32- \
+ i686-mingw32- \
+ i386-mingw32msvc- \
+ i486-mingw32msvc- \
+ i586-mingw32msvc- \
+ i686-mingw32msvc-; do
+ if "${prefix}${cc}" -v > /dev/null 2>&1; then
+ echo "$prefix"
+ exit 0
+ fi
+done
+
+# No prefix, no idea what to do now...
+echo missing-
+exit 1